function Create(self)
	self.Sharpness = 1; -- used to enable or disable beam, 0 means off by default and 1 means on
	self.range = 500; -- pointer range in pixels
	self.pixelRatio = 2; -- how many pixels to highlight, i.e. 4 for every 4th pixel, 5 for every 5th pixel...
	self.beamPixelName = "Tracer Particle"; -- change this to the name of your own MOPixel, if you want
end

function Update(self)
	if self.Sharpness == 1 and self.RootID ~= self.ID then
		local initPos = self.MuzzlePos;
		local oldPos = initPos
		local newPos = Vector(0,0);
		if self.HFlipped == false then
			self.angle = self.RotAngle;
		else
			self.angle = self.RotAngle + math.pi;
		end
		for i = 1, self.range/4 do
			local dot = CreateMOPixel(self.beamPixelName) -- this could be changed to CreateMOSParticle or whatever
			local aimVector = Vector(4,0):RadRotate(self.angle);
			newPos = newPos + aimVector;
			dot.Pos = initPos + newPos;
			local endPos = Vector(0,0);
			local randomRay = SceneMan:CastMORay(oldPos, aimVector, dot.ID, 0, false, 0);
			endPos = SceneMan:GetLastRayHitPos();
			local trueLength = SceneMan:ShortestDistance(oldPos, endPos, true).Magnitude;
			if trueLength < aimVector.Magnitude then
				-- add stuff here if you want it to happen where the beam hits something
				break;
			end
			MovableMan:AddMO(dot);
			oldPos = dot.Pos;
		end
	end
end